package cn.com.countrygarden.bi.main.dto.districtReport;

import cn.com.countrygarden.bi.main.model.districtReport.RdPendingBuildingProject;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class RdPendingBuildingProjectDTO extends RdPendingBuildingProject {

    private String regionCode;

    private String regionName;

    private String districtName;

    private String contractCloseBuildingDateList;

    private String temporaryCloseBuildingDateList;

    private String contractCloseBuildingDate1;

    private String contractCloseBuildingDate2;

    private String temporaryCloseBuildingDate1;

    private String temporaryCloseBuildingDate2;

    /**
     * 合同收楼日期
     */
    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date contractCloseBuildingDateString;
    /**
     * 暂定收楼日期
     */
    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date temporaryCloseBuildingDateString;

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getContractCloseBuildingDateList() {
        return contractCloseBuildingDateList;
    }

    public void setContractCloseBuildingDateList(String contractCloseBuildingDateList) {
        this.contractCloseBuildingDateList = contractCloseBuildingDateList;
    }

    public String getTemporaryCloseBuildingDateList() {
        return temporaryCloseBuildingDateList;
    }

    public void setTemporaryCloseBuildingDateList(String temporaryCloseBuildingDateList) {
        this.temporaryCloseBuildingDateList = temporaryCloseBuildingDateList;
    }

    public String getContractCloseBuildingDate1() {
        return contractCloseBuildingDate1;
    }

    public void setContractCloseBuildingDate1(String contractCloseBuildingDate1) {
        this.contractCloseBuildingDate1 = contractCloseBuildingDate1;
    }

    public String getContractCloseBuildingDate2() {
        return contractCloseBuildingDate2;
    }

    public void setContractCloseBuildingDate2(String contractCloseBuildingDate2) {
        this.contractCloseBuildingDate2 = contractCloseBuildingDate2;
    }

    public String getTemporaryCloseBuildingDate1() {
        return temporaryCloseBuildingDate1;
    }

    public void setTemporaryCloseBuildingDate1(String temporaryCloseBuildingDate1) {
        this.temporaryCloseBuildingDate1 = temporaryCloseBuildingDate1;
    }

    public String getTemporaryCloseBuildingDate2() {
        return temporaryCloseBuildingDate2;
    }

    public void setTemporaryCloseBuildingDate2(String temporaryCloseBuildingDate2) {
        this.temporaryCloseBuildingDate2 = temporaryCloseBuildingDate2;
    }

    public Date getContractCloseBuildingDateString() {
        return contractCloseBuildingDateString;
    }

    public void setContractCloseBuildingDateString(Date contractCloseBuildingDateString) {
        this.contractCloseBuildingDateString = contractCloseBuildingDateString;
    }

    public Date getTemporaryCloseBuildingDateString() {
        return temporaryCloseBuildingDateString;
    }

    public void setTemporaryCloseBuildingDateString(Date temporaryCloseBuildingDateString) {
        this.temporaryCloseBuildingDateString = temporaryCloseBuildingDateString;
    }
}
